namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;
    using Eco.Gameplay.Pipes.LiquidComponents; 

    [RequiresSkill(typeof(OilDrillingSkill), 0)]      
    public partial class EthanolRecipe : Recipe
    {
        public EthanolRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<GasolineItem>(0.7f),          
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<CornmealItem>(),  
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(EthanolRecipe), Item.Get<GasolineItem>().UILink(), 2, typeof(OilDrillingSkill), typeof(OilDrillingFocusedSpeedTalent));    
            this.Initialize(Localizer.DoStr("Gasoline"), typeof(EthanolRecipe));

            CraftingComponent.AddRecipe(typeof(OilRefineryObject), this);
        }
    }
}